Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005864 [JEDI VCL] 00 JVCL Components major always 2012-04-21 12:56 2012-09-10 14:15
Reporter vez View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005864: The TextHeight for the JwSwitch has wrong value
Description The TextHeight for the JwSwitch has wrong value, can be seen if the Font.Size is rather big (>10)

To fix this bug the line 414 in the JvSwitch.pas file has to be changed:
414: FontHeight := Canvas.TextHeight('W');
before was:
414: FontHeight := TextHeight('W');

Additional Information
Tags No tags attached.
Attached Files zip file icon JvSwitchTest.zip [^] (88,732 bytes) 2012-06-12 11:13

- Relationships

-  Notes
(0019859)
obones (administrator)
2012-06-11 17:30

Please use the latest SVN version and provide the zipped sources of a sample application showing this.
(0019899)
vez (reporter)
2012-06-12 11:15

Latest JVCL SVN can't be compiled for RAD Xe, I've used from 30.05.2012, but JvSwitch.pas did not changed last two weeks
(0019941)
obones (administrator)
2012-06-13 10:23

Thanks, this is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-04-21 12:56 vez New Issue
2012-06-11 17:30 obones Note Added: 0019859
2012-06-11 17:30 obones Status new => feedback
2012-06-12 11:13 vez File Added: JvSwitchTest.zip
2012-06-12 11:15 vez Note Added: 0019899
2012-06-12 17:55 obones Status feedback => acknowledged
2012-06-13 10:23 obones Note Added: 0019941
2012-06-13 10:23 obones Status acknowledged => resolved
2012-06-13 10:23 obones Fixed in Version => Daily / SVN
2012-06-13 10:23 obones Resolution open => fixed
2012-06-13 10:23 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker